var system = require("../../system")
var settings = require("../../../config/settings");
const CtlBase = require("../ctl.base");

class DepartmentCtl extends CtlBase {
    constructor() {
        super(CtlBase.getServiceName(DepartmentCtl));
    }

    async dict(queryobj, qobj, req) {
        let list = await this.service.dict();
        return system.getResult2(list);
    }
}

module.exports = DepartmentCtl;
